import Vue from 'vue';
import Vuex from 'vuex';
import * as list from '@/store/jobinfo';
import * as post from '@/store/jobs';
import * as user from '@/store/user';

import * as ustate from '@/store/common/state';
import * as umutations from '@/store/common/mutations';
Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    list: list,
    user: user,
    post: post,
  },
  state: { ...ustate },
  mutations: { ...umutations },
});
