import Vue from 'vue';
import Vuex from 'vuex';
import * as talks from '@/store/talks';
import * as user from '@/store/user';
import * as corp from '@/store/corp';
import * as ustate from '@/store/common/state';
import * as umutations from '@/store/common/mutations';
Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    talks: talks,
    user: user,
    corp: corp,
  },
  state: { ...ustate },
  mutations: { ...umutations },
});
