import Vue from 'vue';
import Vuex from 'vuex';
import * as jobfair from '@/store/jobfair';
import * as user from '@/store/user';

import * as ustate from '@/store/common/state';
import * as umutations from '@/store/common/mutations';
Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    jobfair: jobfair,
    user: user,
  },
  state: { ...ustate },
  mutations: { ...umutations },
});
