import Vue from 'vue';
import Vuex from 'vuex';
import * as site from '@/store/site';
import * as modules from '@/store/module';
import * as column from '@/store/column';
import * as news from '@/store/news';

import * as ustate from '@/store/common/state';
import * as umutations from '@/store/common/mutations';
Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  modules: {
    site: site,
    module: modules,
    column: column,
    news: news,
  },
});
