import Vue from 'vue';
import Vuex from 'vuex';
import * as talks from '@/store/talks';
import * as user from '@/store/user';
import * as post from '@/store/jobs';
import * as ticket from '@/store/ticket';
import * as ustate from '@/store/common/state';
import * as umutations from '@/store/common/mutations';
Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    talks: talks,
    ticket: ticket,
    post: post,
    user: user,
  },
  state: { ...ustate },
  mutations: { ...umutations },
});
